public class lez20070426
{
	public static void main(String[] args)
	{
		Partita p1 = new Partita(new Squadra("Roma"), new Squadra("Lazio"));
		p1.creaPartita();
	}
}

class Squadra
{
	String nome;
	public Squadra(String nome)
	{
		this.nome = nome;
	}
}

class Partita
{
	char[] risultati;
	String[] vincitore;
	Squadra s1, s2;
	
	public Partita(Squadra s1, Squadra s2)
	{
		this.s1 = s1;
		this.s2 = s2;
		risultati = new char[3];
		risultati[0] = '1';
		risultati[1] = 'X';
		risultati[2] = '2';
		vincitore = new String[3];
		vincitore[0] = s1.nome;
		vincitore[1] = "pareggio";
		vincitore[2] = s2.nome;
	}
	public void creaPartita()
	{
		int r = (int)(Math.random()*3);
		System.out.println(s1.nome + " - " + s2.nome + " : " + risultati[r] + " " + vincitore[r]);
	}
}
